%global npm_name http-signature
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.0
Release: %mkrel 8
Summary: Reference implementation of Joyent's HTTP Signature scheme
License: MIT
Group: Development/Other
URL: https://github.com/joyent/node-http-signature/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus)
Requires: npm(jsprim)
Requires: npm(sshpk)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep jsprim ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc README.md
%doc http_signing.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.2.0-8.mga9
+ Revision: 1820434
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 joequant <joequant> 1.2.0-7.mga8
+ Revision: 1638390
- fix deps

* Fri Oct 02 2020 tv <tv> 1.2.0-6.mga8
+ Revision: 1631681
- rebuild in order to fix deps

* Fri Oct 02 2020 tv <tv> 1.2.0-5.mga8
+ Revision: 1631680
- rebuild in order to fix deps

* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1502804
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1280507
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.2.0-2.mga7
+ Revision: 1227325
- Fix nodejs dependencies

* Wed May 02 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1224778
- imported package nodejs-http-signature

